org.apache.lucene.queryparser.flexible.standard.builders

## Class LegacyNumericRangeQueryNodeBuilder

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.builders.LegacyNumericRangeQueryNodeBuilder

- All Implemented Interfaces:
    QueryBuilder, StandardQueryBuilder

  Deprecated.
  Index with points and use `PointRangeQueryNodeBuilder` instead.

      @Deprecated
      public class LegacyNumericRangeQueryNodeBuilder
      extends Object
      implements StandardQueryBuilder

  Builds `LegacyNumericRangeQuery`s out of `LegacyNumericRangeQueryNode`s.
  See Also:
    `LegacyNumericRangeQuery`, `LegacyNumericRangeQueryNode`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyNumericRangeQueryNodeBuilder()` Deprecated. Constructs a `LegacyNumericRangeQueryNodeBuilder` object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `LegacyNumericRangeQuery<? extends Number>` | `build(QueryNode queryNode)` Deprecated. Builds some kind of object from a query tree.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LegacyNumericRangeQueryNodeBuilder

          public LegacyNumericRangeQueryNodeBuilder()

      Deprecated.
      Constructs a `LegacyNumericRangeQueryNodeBuilder` object.

  - ### Method Detail

    - #### build

          public LegacyNumericRangeQuery<? extends Number> build(QueryNode queryNode)
                                                          throws QueryNodeException

      Deprecated.
      Description copied from interface: `QueryBuilder`
      Builds some kind of object from a query tree.
      Specified by:
        `build` in interface `QueryBuilder`
      Specified by:
        `build` in interface `StandardQueryBuilder`
      Parameters:
        `queryNode` - the query tree root node
      Returns:
        some object generated from the query tree
      Throws:
        `QueryNodeException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.